### File

`src/lib/open-api.meta-data.ts`

### Extends

`BaseRemoteMethodMetadata`

### Index

###### Properties

- id
- Optional operation
- Optional serverId
- Optional serverIndex

### Properties

id
`id: `string``
Type : `string`

operation
`operation: `OperationObjectWithMetadata | string``
Type : `OperationObjectWithMetadata | string`
Optional
The operation object with path and method

serverId
`serverId: `string``
Type : `string`
Optional
used to specify the target server for the reset api operation

serverIndex
`serverIndex: `number``
Type : `number`
Optional
The index of the server object in the servers array in the open api config

    import { OperationObjectWithMetadata } from './open-api';
    import { BaseRemoteMethodMetadata } from '@rxap/remote-method';

    export interface OpenApiMetaData extends BaseRemoteMethodMetadata {
      /**
       * The operation object with path and method
       */
      operation?: OperationObjectWithMetadata | string;
      /**
       * The index of the server object in the servers array in the open api config
       */
      serverIndex?: number;
      /**
       * used to specify the target server for the reset api operation
       */
      serverId?: string;
      id: string;
    }

# results matching ""

# No results matching ""